Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class AllFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.ArrayFilter
com.tangosol.util.filter.AllFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, IndexAwareFilter, java.io.Serializable

Direct Known Subclasses:
  AndFilter

      public class AllFilter

extends ArrayFilter

Filter which returns the logical "and" of a filter array.

Author:
  cp/gg 2002.11.01

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.filter.ArrayFilter
`ArrayFilter.WeightedFilter`

Field Summary

Fields inherited from class com.tangosol.util.filter.ArrayFilter
`m_aFilter`

Constructor Summary
`AllFilter()` Default constructor (necessary for the ExternalizableLite interface).
`AllFilter(Filter[] afilter)` Construct an "all" filter.

Method Summary
`Filter` | `applyIndex(java.util.Map mapIndexes, java.util.Set setKeys)` Filter remaining keys using a Map of available indexes.
`int` | `calculateEffectiveness(java.util.Map mapIndexes, java.util.Set setKeys)` Given a Map of available indexes, determine if this IndexAwareFilter can use any of the indexes to assist in its processing, and if so, determine how effective the use of that index would be.
`boolean` | `evaluate(java.lang.Object o)` Apply the test to the object.
`boolean` | `evaluateEntry(java.util.Map.Entry entry)` Apply the test to a Map Entry.

Methods inherited from class com.tangosol.util.filter.ArrayFilter
`applyFilter, calculateFilters, equals, getFilters, hashCode, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### AllFilter

    public AllFilter()

  Default constructor (necessary for the ExternalizableLite interface).

### AllFilter

    public AllFilter(Filter[] afilter)

  Construct an "all" filter. The result is defined as:

  > afilter[0] && afilter[1] ... && afilter[n]

  Parameters:
    `afilter` - an array of filters

Method Detail

### evaluate

    public boolean evaluate(java.lang.Object o)

  Apply the test to the object.
  Parameters:
    `o` - the object to test
  Returns:
    true if the test passes, false otherwise

### evaluateEntry

    public boolean evaluateEntry(java.util.Map.Entry entry)

  Apply the test to a Map Entry.
  Parameters:
    `entry` - the Map Entry to evaluate; never null
  Returns:
    true if the test passes, false otherwise

### calculateEffectiveness

    public int calculateEffectiveness(java.util.Map mapIndexes,
                                      java.util.Set setKeys)

  Given a Map of available indexes, determine if this IndexAwareFilter can use any of the indexes to assist in its processing, and if so, determine how effective the use of that index would be. The returned value is an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys. An operation that requires no more than a single access to the index content (i.e. Equals, NotEquals) has an effectiveness of one. Evaluation of a single entry is assumed to have an effectiveness that depends on the index implementation and is usually measured as a constant number of the single operations. This number is referred to as evaluation cost. If the effectiveness of a filter evaluates to a number larger than the `keySet.size() * <evaluation cost>` then a user could avoid using the index and iterate through the keySet calling `evaluate` rather then `applyIndex`.
  Parameters:
    `mapIndexes` - the available `MapIndex` objects keyed by the related ValueExtractor; read-only
    `setKeys` - the set of keys that will be filtered; read-only
  Returns:
    an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys

### applyIndex

    public Filter applyIndex(java.util.Map mapIndexes,
                             java.util.Set setKeys)

  Filter remaining keys using a Map of available indexes. The filter is responsible for removing all keys from the passed set of keys that the applicable indexes can prove should be filtered. If the filter does not fully evaluate the remaining keys using just the index information, it must return a filter (which may be an `EntryFilter`) that can complete the task using an iterating implementation. If, on the other hand, the filter does fully evaluate the remaining keys using just the index information, then it should return null to indicate that no further filtering is necessary.
  Parameters:
    `mapIndexes` - the available `MapIndex` objects keyed by the related ValueExtractor; read-only
    `setKeys` - the mutable set of keys that remain to be filtered
  Returns:
    a `Filter` object (which may be an `EntryFilter`) that can be used to process the remaining keys, or null if no additional filter processing is necessary

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.